View Issue Details

IDProjectCategoryView StatusLast Update
0000556Industrial-Craft²tools / electric itemspublic2014-06-26 17:44
Reporterrobot256Assigned ToThunderdark 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMC 1.6.2 Forge 9.10.0.845OSWindows 7 x64OS VersionSP1
Product Version 
Target VersionFixed in Version 
Summary0000556: IC2 2.0.130e: Chainsaw sound continues after dropping tool
DescriptionIf you have a chainsaw selected, then remove it from your inventory without selecting something else, the sound will continue until you put it back in your inventory. It does not have to be put back in a quickbar slot, just anywhere in your inventory and not selected will make the sound stop as it should.
Steps To ReproduceEquip one chainsaw to the quickbar, select it, press 'Q', observe the sound continues. Fill quickbar slots, pick up chainsaw into inventory, and sound stops.
Additional InformationProbably related to issues 328 and 452.
TagsNo tags attached.
Minecraft Version

Activities

robot256

2013-09-08 03:18

reporter   ~0001324

Still present in build 150, with forge 9.10.1.857.

robot256

2014-02-24 16:22

reporter   ~0002181

Still present in build 397, with forge 9.11.1.965. Possibly related to 0000937.

robot256

2014-04-02 15:47

reporter   ~0002333

I noticed that when I had the chainsaw selected, died, and respawned, the sound stopped. But when I reached the point where I died to go pick it up again, the sound got louder as I approached. Then I picked it up and selected something else, and it stopped as usual. Seems like the chainsaw itself is emitting the sound, and remains "on" even when the player drops it.

Thunderdark

2014-06-26 17:44

viewer   ~0002709

fixed in build > industrialcraft-2-2.1.482-experimental

Issue History

Date Modified Username Field Change
2013-09-01 15:48 robot256 New Issue
2013-09-08 03:18 robot256 Note Added: 0001324
2014-02-24 16:22 robot256 Note Added: 0002181
2014-04-02 15:47 robot256 Note Added: 0002333
2014-06-26 17:44 Thunderdark Note Added: 0002709
2014-06-26 17:44 Thunderdark Status new => resolved
2014-06-26 17:44 Thunderdark Resolution open => fixed
2014-06-26 17:44 Thunderdark Assigned To => Thunderdark